Subject: Re: bug#61636: 30.0.50; Strange behavior of `vertical-motion' with (overlay-put 'display)
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 04 Mar 2023 13:29:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked]
> Date: Sun, 26 Feb 2023 11:35:56 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > From: OGAWA Hirofumi <[email-masked]>
> > Date: Mon, 20 Feb 2023 03:45:08 +0900
> > 
> > I can be wrong though, when using
> > 
> >   (overlay-put (make-overlay 2 5) 'display "B")
> > 
> > in [wrong] code, `vertical-motion' doesn't move the point to 2nd line.
> > 
> > [wrong]
> >   (with-temp-buffer
> >     (insert "A*B\n\n\n\n")
> >     (goto-char 2)
> >     (overlay-put (make-overlay 2 5) 'display "B")
> >     (vertical-motion '(1 . 1)))
> 
> Thanks, should be fixed now on the emacs-29 branch.

No further comments, so I assume the bug is indeed fixed, and I'm
closing it.

Thanks.